<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/signal_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/02/84  signal_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in signal_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: signal_: 02/02/84  signal_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: signals the occurrence of a given condition.  A description
<span id="L12" class="LineNr">12 </span>of the condition mechanism and the way in which a handler is invoked
<span id="L13" class="LineNr">13 </span>by the signal_ subroutine is given in the Programmer's Reference
<span id="L14" class="LineNr">14 </span>Manual.
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>Syntax:
<span id="L18" class="LineNr">18 </span>declare signal_ entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>call signal_ <span class="textRainbow_lv0_p0">(</span>name<span class="textRainbow_lv0_o0">,</span> mc_ptr<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span> wc_ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>Arguments:
<span id="L23" class="LineNr">23 </span>name
<span id="L24" class="LineNr">24 </span>   is the name <span class="textRainbow_lv0_p0">(</span>declared as a nonvarying character string<span class="textRainbow_lv0_p0">)</span> of the
<span id="L25" class="LineNr">25 </span>   condition to be signalled.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>mc_ptr
<span id="L27" class="LineNr">27 </span>   is a pointer <span class="textRainbow_lv0_p0">(</span>declared as an aligned pointer<span class="textRainbow_lv0_p0">)</span> to the machine
<span id="L28" class="LineNr">28 </span>   conditions at the time the condition was raised.  This argument is
<span id="L29" class="LineNr">29 </span>   used by system programs only in order to signal hardware faults.  In
<span id="L30" class="LineNr">30 </span>   user programs, this argument should be null if a third argument is
<span id="L31" class="LineNr">31 </span>   supplied.  This argument is optional.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>info_ptr
<span id="L35" class="LineNr">35 </span>   is a pointer <span class="textRainbow_lv0_p0">(</span>declared as an aligned pointer<span class="textRainbow_lv0_p0">)</span> to information
<span id="L36" class="LineNr">36 </span>   relating to the condition being raised.  The structure of the
<span id="L37" class="LineNr">37 </span>   information is dependent upon the condition being signalled;
<span id="L38" class="LineNr">38 </span>   however, conditions raised with the same name should provide the
<span id="L39" class="LineNr">39 </span>   information in the same structure.  All structures must begin with a
<span id="L40" class="LineNr">40 </span>   standard header.  The format for the header as well as the
<span id="L41" class="LineNr">41 </span>   structures provided with system conditions are described in the
<span id="L42" class="LineNr">42 </span>   Programmer's Reference Manual.  This argument is intended for use in
<span id="L43" class="LineNr">43 </span>   signalling conditions other than hardware faults.  This argument is
<span id="L44" class="LineNr">44 </span>   optional.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>wc_ptr
<span id="L48" class="LineNr">48 </span>   is a pointer <span class="textRainbow_lv0_p0">(</span>declared as an aligned pointer<span class="textRainbow_lv0_p0">)</span> to the machine
<span id="L49" class="LineNr">49 </span>   conditions at the time a lower ring was entered to process a fault.
<span id="L50" class="LineNr">50 </span>   This argument is used only by the system and only in the case where
<span id="L51" class="LineNr">51 </span>   a condition that occurred in a lower ring is being signalled in the
<span id="L52" class="LineNr">52 </span>   outer ring and when the lower ring has been entered to process a
<span id="L53" class="LineNr">53 </span>   fault occurring in the outer ring.  This argument is optional.
<span id="L54" class="LineNr">54 </span>
<span id="L55" class="LineNr">55 </span>
<span id="L56" class="LineNr">56 </span>Notes:  If the signal_ subroutine returns to its caller, indicating
<span id="L57" class="LineNr">57 </span>that the handler has returned to it, the calling procedure should retry
<span id="L58" class="LineNr">58 </span>the operation that caused the condition to be signalled.
<span id="L59" class="LineNr">59 </span>
<span id="L60" class="LineNr">60 </span>The PL/I signal statement differs from the signal_ subroutine in that
<span id="L61" class="LineNr">61 </span>the above parameters cannot be provided in the signal statement.  Also,
<span id="L62" class="LineNr">62 </span>for PL/I-defined conditions, a call to the signal_ subroutine is not
<span id="L63" class="LineNr">63 </span>equivalent to a PL/I signal statement since information about these
<span id="L64" class="LineNr">64 </span>conditions is kept internally.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
